osgDB::DatabasePager::ReadQueue Struct Reference

`#include <DatabasePager>`

Inheritance diagram for osgDB::DatabasePager::ReadQueue:

## Public Member Functions

| ReadQueue (DatabasePager *pager, const std::string &name)
void | block ()
void | release ()
virtual void | updateBlock ()
Public Member Functions inherited from osgDB::DatabasePager::RequestQueue
| RequestQueue (DatabasePager *pager)
void | add (DatabaseRequest *databaseRequest)
void | remove (DatabaseRequest *databaseRequest)
void | addNoLock (DatabaseRequest *databaseRequest)
void | takeFirst (osg::ref_ptr< DatabaseRequest > &databaseRequest)
bool | pruneOldRequestsAndCheckIfEmpty ()
| prune all the old requests and then return true if requestList left empty
void | invalidate (DatabaseRequest *dr)
bool | empty ()
unsigned int | size ()
void | clear ()
void | swap (RequestList &requestList)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::RefBlock > | _block
std::string | _name
OpenThreads::Mutex | _childrenToDeleteListMutex
ObjectList | _childrenToDeleteList
Public Attributes inherited from osgDB::DatabasePager::RequestQueue
DatabasePager * | _pager
RequestList | _requestList
OpenThreads::Mutex | _requestMutex
unsigned int | _frameNumberLastPruned

## Additional Inherited Members

Public Types inherited from osgDB::DatabasePager::RequestQueue
typedef std::list< osg::ref_ptr< DatabaseRequest > > | RequestList
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osgDB::DatabasePager::RequestQueue
virtual | ~RequestQueue ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## ReadQueue()

osgDB::DatabasePager::ReadQueue::ReadQueue | ( | DatabasePager * | pager,
|  | const std::string & | name )

References osgDB::DatabasePager::DatabasePager().

## Member Function Documentation

## block()

void osgDB::DatabasePager::ReadQueue::block | ( |  | ) |

inline

References _block.

## release()

void osgDB::DatabasePager::ReadQueue::release | ( |  | ) |

inline

References _block.

## updateBlock()

virtual void osgDB::DatabasePager::ReadQueue::updateBlock | ( |  | ) |

virtual

Reimplemented from osgDB::DatabasePager::RequestQueue.

## Member Data Documentation

## _block

osg::ref_ptr<osg::RefBlock> osgDB::DatabasePager::ReadQueue::_block

Referenced by block(), and release().

## _childrenToDeleteList

ObjectList osgDB::DatabasePager::ReadQueue::_childrenToDeleteList

## _childrenToDeleteListMutex

OpenThreads::Mutex osgDB::DatabasePager::ReadQueue::_childrenToDeleteListMutex

## _name

std::string osgDB::DatabasePager::ReadQueue::_name

The documentation for this struct was generated from the following file:

- DatabasePager